Name:           oils-for-unix
Version:        0.24.0
Release:        1%{?dist}
Summary:        command language interpreter

License:        Apache 2.0
URL:            https://www.oilshell.org
Source0:        https://www.oilshell.org/download/%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  readline-devel
Requires:       readline

%description
The osh utility is a bash(1)-compatible command language interpreter: it 
reads commands either from standard input, a script file or command-line 
arguments and executes them.

osh accepts POSIX sh(1) arguments, with the following differences:

-n      Only validate the syntax.  Also prints the AST.

--ast-format
        What format the AST should be in.


%prep
%autosetup


%build
./configure --prefix=%{buildroot}/usr --with-readline
_build/oils.sh


%install
./install _bin/cxx-opt-sh/oils-for-unix


%files
%license LICENSE.txt
%doc README-native.txt
%{_bindir}/%{name}
%{_bindir}/osh
%{_bindir}/ysh
%{_mandir}/man1/osh.1*


%changelog
* Sun Nov 17 2024 Tonkünstler-on-the-Bund 
<copr@tonkunstler-on-the-bund.com> - 0.24.0-1
- Update version

* Thu Sep 26 2024 Tonkünstler-on-the-Bund 
<copr@tonkunstler-on-the-bund.com> - 0.23.0-1
- First oils-for-unix package
